# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pollter_geist/version'

Gem::Specification.new do |spec|
  spec.name          = "pollter_geist"
  spec.version       = PollterGeist::VERSION
  spec.authors       = ["kwando"]
  spec.email         = ["kwando@merciless.me"]
  spec.description   = %q{A small abstraction layer for polling IMAP servers for changes.}
  spec.summary       = %q{A small abstraction layer for polling IMAP servers for changes.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency('mail')
  spec.add_dependency('virtus')

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "minitest", "~> 5.0.6"
  spec.add_development_dependency "rake"
end
