require 'test_helper'

describe PollterGeist::Poller do
  describe '#session' do
    it 'should create a session' do
      poller  = PollterGeist::Poller.new(CONFIG)
      changer = PollterGeist::ChangeListener.new
      poller.session do |imap|
        imap.select_mailbox('INBOX')
        uids = imap.message_uids
        changer.tick(uids)
        changer.tick(uids)


=begin
        1.times do
          imap.wait_for('RECENT', 1)
          changer.tick(imap.message_uids)
          imap.logger.debug("+#{changer.added} -#{changer.removed}")
          if changer.added?
            puts imap.fetch(changer.added)
          end
        end
=end


        loop do
          begin
            imap.wait_for_changes(10 * 60) do |changes|
              imap.logger.debug(changes)
            end
          rescue Interrupt => e
            break
          end
        end
      end
    end
  end
end